{
	"version": "2.0.0",
	"tasks": [
		{
			"type": "cmake",
			"label": "CMake: configure",
			"command": "configure",
			"problemMatcher": [],
			"detail": "CMake config"
		},
		{
			"type": "cmake",
			"label": "CMake: clean rebuild",
			"command": "build",
			"targets": [
				"all"
			],
			"group": "build",
			"problemMatcher": [],
			"detail": "CMake clean rebuild task"
		},
		{
			"type": "cmake",
			"label": "CMake: clean rebuild",
			"command": "cleanRebuild",
			"targets": [
				"all"
			],
			"group": "build",
			"problemMatcher": [],
			"detail": "CMake clean rebuild task"
		},
		{
			"type": "cmake",
			"label": "CMake: complete build",
			"command": "build",
			"targets": [
				"all"
			],
			"group": "build",
			"problemMatcher": [],
			"detail": "CMake build"
		},
		{
			"type": "cmake",
			"label": "CMake: complete rebuild",
			"command": "cleanRebuild",
			"targets": [
				"all"
			],
			"group": "build",
			"problemMatcher": [],
			"detail": "CMake clean rebuild task"
		},
		{
			"type": "cmake",
			"label": "CMake: build",
			"command": "build",
			"targets": [
				"all"
			],
			"group": "build",
			"problemMatcher": [],
			"detail": "CMake build task"
		}
	]
}